import request from '@/utils/request'
// 获取分类树
export function getTreeList(id) {
  return request({
    url: 'messageapi/api/noticeinfo/getroleusertree',
    method: 'get',
    params: {
      id
    }
  })
}
// 分页获取公告列表
export function getScheduleLists(params) {
  return request({
    url: 'messageapi/api/NoticeInfo/getlistsbypage',
    method: 'get',
    params
  })
}
// 添加公告
export function addBlack(data) {
  return request({
    url: 'messageapi/api/NoticeInfo/add',
    method: 'post',
    data
  })
}
// 获取公告详情
export function getBlack(id) {
  return request({
    url: 'messageapi/api/NoticeInfo/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}
// 编辑公告
export function editBlack(data) {
  return request({
    url: 'messageapi/api/NoticeInfo/update',
    method: 'post',
    data
  })
}

// 删除公告
export function deleteBlack(ids) {
  return request({
    url: 'messageapi/api/NoticeInfo/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
